summary.gaisl-method {GA} | R Documentation

## Summary for Islands Genetic Algorithms

### Description

Summary method for class `gaisl-class`.

### Usage

    ## S4 method for signature 'gaisl'
    summary(object, ...)

    ## S3 method for class 'summary.gaisl'
    print(x, digits = getOption("digits"), ...)

### Arguments

`object` | an object of class `gaisl-class`.
`x` | an object of class `summary.gaisl`.
`digits` | number of significant digits.
`...` | further arguments passed to or from other methods.

### Value

The `summary` function returns an object of class `summary.gaisl` which can be printed by the corresponding `print` method. The function also returns invisibly a list with the information from the islands genetic algorithm search.

### Author(s)

Luca Scrucca

### See Also

`gaisl`

### Examples

    ## Not run:
    f <- function(x)  abs(x)+cos(x)
    GA <- gaisl(type = "real-valued",
                fitness = function(x) -f(x),
                lower = -20, upper = 20, run = 10,
                numIslands = 4)
    out <- summary(GA)
    print(out)
    str(out)

    ## End(Not run)

[Package GA version 3.2 Index]